<template>
	<div>
		<!-- <img :src="image" class="job-bg-image"> -->
		<div class="container job-search-container">
			<div class="row justify-content-center">
				<h1 class="text-white font-weight-bold">
					<span style="color: #42b883">MANAGE</span> JOB
				</h1 class="text-white">
			</div>
		</div>
		<div class="container manage-job-container">
			<div class="row justify-content-center">
				<div v-for="jobList in jobLists.data"
					class="col-11 col-md-10 col-lg-6"
					v-loading="loading"
					:key="jobList.id">
					<job-card :jobList=jobList @delete="deleteJob" class="mt-4"></job-card>
				</div>
				<div v-if="noResult" class="mt-4">
					<h3><span style="color: #42b883">SORRY!</span> No job to show :(</h3>
				</div>
			</div>
			<pagination :data="jobLists" @pagination-change-page="getUserJobLists"></pagination>
		</div>
	</div>
</template>

<script>
	import jobImage from "../../../images/job-bg.jpeg"
	import jobCard from "./jobCard.vue"
	export default {
		data() {
			return {
				user_id: this.$route.params.user_id,
				image: jobImage,
				applierlists: [],
				jobLists: {},
				noResult: false,
				loading: false,
				fullscreenLoading: false
			}
		},
		components : {
			'job-card' : jobCard
		},
		methods: {
			getUserJobLists(page) {
				if (typeof page === 'undefined') {
					page = 1;
				}
				axios.get( this.user_id + '/jobLists?page=' + page)
				.then(response => {
					this.jobLists = response.data;
					if (response.data.data.length == 0) {
						this.noResult =  true
					};
				})
			},
			getApplierLists(id) {
				this.loading = true;

				axios.get( '/job/' + id + '/show/applierlists')
				.then(response => {
					this.applierlists = response.data;
				})
				.finally(() => this.loading = false)
			},
			deleteJob(arg) {
				axios.delete('/job/' + arg.id)
				.then(response => {
					this.$message({
	                	type: 'error',
	                	message: 'Deleted',
	                });
					this.getUserJobLists();
				})
				.catch (function(error){
					console.log(error);
				})
			}
		},
		mounted() {
			this.getUserJobLists();
		}
	}
</script>